##----------------------
## Act 0: Prologue
## Scene 1: Kitchen Scene
##----------------------

label a0s1:
    window hide
    window show
    scene bg kitchen with bg_change_minutes
    show lis normal at leftish with dissolve
    Lis "Are you sure this is the right spell for this morning?"
    show viv normal at rightish with dissolve
    Viv "Yes, yes... absolutely sure. Trust me, Lis."
    Lis "But... it says here that we need bay leaves and unicorn hair. Did you put both in?"
    hide viv normal
    show viv angry at rightish
    Viv "Oh, that's just a suggestion. Those old books always exaggerate - I mean, who has unicorn hair on hand all the time? You can do without it. Goblins aren't much of an opponent, you just need to scare them properly."
    Lis_murmuring "I don't know... But unicorn hair is meant for the stability of the potion. Without it, unpredictable..."
    Viv "Unpredictable what? Pink mice? Colorful sparks? That would be terrible. (laughs softly and shakes his head) Lis, you're too nervous. Magic is sometimes like cooking: You try and try until you get it right."
    Lis "But when cooking, the soup doesn't suddenly explode or turn my hair pink..."
    Viv "Maybe not yet. Give yourself time, Lis. You'll learn - but not from this book. (she nudges the book with her finger) You learn by doing."
    nvl clear
    hide viv angry with dissolve
    hide lis normal with dissolve
    nvl_narrator "At the same moment, the liquid in the cauldron bubbles unusually violently and a small, glittering bubble rises. Lis draws in a sharp breath and watches the bubble as it slowly floats higher and then bursts with a loud pop. A shower of green sparks pours into the room, spreads across the tables and shelves and even makes the crows on the windowsill and the mice in the corners glow bright pink."
    show lis angry_pink at leftish with dissolve
    Lis "Oh great! I could have told you straight away that this would happen!"
    show viv normal at rightish with dissolve
    Viv "Look, that's wonderful! The crows even look pretty with it. Don't you think?"
    Lis "Viv... what if people in the city find out? Imagine someone seeing me like this. I'd be laughed at!"
    Viv "Oh, those in the city... they already know that we're a bit... special. Let them talk. The important thing is that we know who we are."
    hide lis angry_pink
    show lis normal_pink at leftish
    Lis "But I'm not sure I even know who I am."
    Viv "You know, Lis... I was like you once. Insecure, always afraid of doing something wrong. But at some point I learned that you have to trust yourself. And no book can teach you that."
    Lis "You were insecure? I can't imagine that... You always seem to have everything under control."
    Viv "Well... maybe that comes with time. And a little practice."
    Lis "Maybe you're right, Viv... but could I... could I maybe help stir the next potion? Just a little?"
    Viv "All right, why not. But don't complain if it goes wrong - you asked for it."
    Lis "Thank you, Viv. I'm so glad you took me in after my parents died. And for teaching me here."
    Viv "Oh, Lis... We witches have to stick together, you know that. Besides... we didn't have a choice, did we? Who knows what you would have done in your pain back then. You hardly had any control over your powers back then."
    Lis "Well, I still haven't really got them under control."
    Viv "You're making progress, and that's what matters. You're learning, a little more every day. And now... (she looks at the cauldron and mumbles a spell) 'Reverto'!"
    nvl clear
    hide viv normal with dissolve
    hide lis normal with dissolve
    nvl_narrator "With a slight shimmer, Lis' pink hair fades back to its natural color."
    show lis normal at leftish with dissolve
    Lis "At last! What would we have done if I had stayed like this?"
    show viv normal at rightish with dissolve
    Viv "Oh, you would have survived. And I bet there are even a few people - or other beings - who would have found your pink hair adorable. Maybe you would even have gotten yourself a boyfriend."
    hide lis normal
    show lis red at leftish
    Lis "You know how I feel about that. My parents taught me that only marriage creates a real bond. Only marriage really binds two people together. And I... I don't want to be any different."
    Viv "Lis, you talk as if witch life is so strict and fixed! We are different, do you understand? Our lives follow different rules - we are free to do what we want."
    Viv "The ancient scriptures even say that witches are depraved and should not adhere to any human norms. Marriage has no place in our world."
    Lis "But... what if I want it differently? Maybe I need... something solid to anchor me in life."
    hide lis red
    show lis normal at leftish
    Viv "Anchoring... don't get me wrong, Lis, but sometimes it's better to let yourself drift. Life is often far too short. Who knows what's coming? A demon could come, a danger out of nowhere - and it could all be over."
    Lis "But I would fight back! After all, I'm learning to fight demons, to protect the city and... for you."
    Viv "And that's a good thing. But that's why it's so important to enjoy life. Why are you waiting for some perfect moment or a big promise?"
    Viv "The old witches never got married, never tied themselves to one place or one person - that's not our nature."
    Lis "But... do you think I'll ever find someone who understands me? The way I am?"
    Viv "Lis, you are so young. The witch's life - life itself - is full of surprises. Somewhere out there, someone may be waiting to accept you just as you are."
    Viv " Or... maybe you'll discover that you're the only person who really needs to understand you."
    Lis "You're probably right, Viv. I still have a lot to learn. About magic, but also about myself."
    Viv "This is the adventure, Lis. This is the life we lead - wild, free and a little dangerous. Now go on, help me clean up. Otherwise the crows will think they're pink forever."
    Lis "Yes, the city would really be amazed if we turned up with pink crows."
    nvl clear
    hide viv normal with dissolve
    hide lis normal with dissolve
    nvl_narrator "Both witches laugh, and a spark of confidence glows in Lis' eyes as they clean the cauldron together."








    return
