label a2s2:
    window hide
    window show
    nvl clear
    scene bg livingroom
    show tom normal with dissolve
    Tom "So, have you decided?"
    show jen normal at left with dissolve
    show lis normal at right with dissolve
    Jen "Yes, we can help. But tell us exactly what we need to know. We won't go unprepared."
    Tom "Good. The poachers are armed and know their way around magic. You'll have to be careful. But I know you can do it. The Leprechaun tribe is currently hiding in a wooded area about three kilometers from here."
    Tom "They will show you everything you need to know."
    Lis "And... what happens if we fail?"
    Tom "You'd better not. If the poachers get the gold, they could gain incredible power - enough to wreak havoc in the magical world. And believe me, that would only be the beginning."
    Jen "Then we'd better not waste any time. Lis, get your things. Tom, take us there. We've got work to do."
    Tom "Okay, grab my hand and I'll teleport us there."
    hide tom normal with dissolve
    hide jen normal with dissolve
    hide lis normal with dissolve
    hide bg livingroom
    show bg forest
    nvl_narrator "Tom teleports the three of them into the forest. Once there, they realize that it is not a normal forest but one with a strong energy. Magic is omnipresent there."
    nvl clear
    show tom normal with dissolve
    Tom "Okay, you two. I'm afraid I can't help you with this, but I'm sure you'll be fine. What I do know is that there are three dangerous poachers at the moment... maybe just two."
    Tom "I'm not sure if the Leprechauns were able to take one of them out. Most of the Leprechauns luckily escaped, but there's still a small group of warriors on the ground."
    Tom "They have sacrificed themselves to protect the rest of their people in an orderly retreat. You must help them - before it is too late."
    show jen normal at left with dissolve
    show lis normal at right with dissolve
    Jen "Take it easy, Tom. We'll take care of it. And those guys? They'll wish they'd never met us. Right, Lis?"
    Lis "Yes, Jen. You're right. We'll show them. Even though... I'm honestly not sure if my magic skills are good enough for that. I mean, I'm not particularly experienced yet."
    Jen "That's okay, Lis. Let me worry about that. When the time comes, all I need is your witchy voice and your full concentration. Trust me, you're stronger than you think."
    Tom "Just promise me you'll be careful. Especially you, Jen. I don't want to lose you."
    Jen "Oh, Tom. Don't worry about me. I'm a witch, remember? And when I come back, I expect you to come to me... alone."
    Tom "Jen, honestly. There are more important things to sort out right now than satisfying your witchy desires."
    Lis "Um... maybe we should focus on the poachers first?"
    Jen "Don't worry, Lis. We'll do that. But you should remember that you should never miss the opportunity to inject a little fun into things."
    Tom "I'm serious, Jen. Please take care of yourselves. These poachers are no ordinary opponents. They have no qualms about wiping out anything and anyone who gets in their way."
    Tom "And they have no mercy - neither for magic nor for life."
    Jen "Understood. We'll be careful. But don't underestimate us, Tom. You know we know how to defend ourselves."
    Tom "I know. But I still can't bear to think that something could happen to you or Lis."
    Lis "We'll do our best, Tom. I promise."
    Jen "Ready, Lis? We've got some poachers to hunt. And who knows - maybe we'll learn something new about you and your skills."
    Lis "Ready. Or as ready as I can be."
    Tom "Please come back safely..."
    hide tom normal with dissolve
    hide jen normal with dissolve
    hide lis normal with dissolve
    hide bg forest
    show bg battlefield_forest
    show jen normal at leftish with dissolve
    show lis normal at rightish with dissolve
    Jen "By witchers beard, it looks like there's been a war here. Can you see all the battle scars, Lis?"
    Lis "Yes, Jen, but I can only see them far back there."
    Jen "Exactly. But what makes me wonder - no bodies, no injured, nothing. It's as if they've removed all traces."
    Lis "Do you think the Leprechauns were kidnapped? Or were they able to escape?"
    Jen "It's difficult to say. But it is unusual that no clues were left behind here."
    Lis "How are we supposed to find the surviving leprechauns? There is no one to be seen here... not even a poacher. Even the animals seem to avoid this place."
    Jen "That's true. The whole area feels... lifeless. It's as if something has wiped out all life here."
    Lis "Don't you have a spell that we can use to track them down?"
    Jen "Not one that I can think of right now. I usually need something personal from the person we're looking for. Without that, it's difficult to cast a locator spell."
    Lis "I have a really bad feeling about the whole thing."
    Jen "Me too. But we have to find out what happened here. I suspect the battle wasn't too long ago. There's a spell that allows me to look into the past for a brief moment."
    Jen "But it comes at a price - it weakens me for a while, and that makes us vulnerable."
    Lis "Jen, when it comes to life and death, we have no choice. We need to know what happened here."
    Jen "You are right. The spell I'm going to use is called Revertere tempus ut videre possum. It's a demanding spell, but I could teach it to you if you like. What do you think, Lis?"
    menu:
        "Should I learn the spell?":
            Lis "Yes, I would like to learn it."
            $lis_knows_view_in_past = True
        "No, maybe later.":
            Lis "No, maybe later."
            Jen "No, Lis you have to learn it, you can't always avoid it. You have to learn."
            $lis_knows_view_in_past = True
    Jen "Okay, Lis. Ready?"
    Lis "Um... yes, I'm ready."
    Jen "Good. Watch what I do and stay alert. Revertere tempus ut videre possum!"
    hide lis normal with dissolve
    hide jen normal with dissolve
    nvl_narrator "The world around Jen becomes blurred, the colors fade to a dull grey as time is turned back. Shadows of the past flicker through the air like ghostly images. Jen stands in the middle of a distorted battlefield, surrounded by the eerie remnants of the conflict.
The sounds of battle echo through the air - the clash of weapons, the thundering footsteps of the attackers and the desperate cries of the Leprechauns. Jen sees the small, courageous creatures bravely taking on the poachers. Arrows and bolts whizz through the air, some hitting their targets with shocking precision."
    nvl clear
    Jen "So many... they gave everything to protect their people."
    nvl_narrator "The poachers, heavily armed and without mercy, fight back mercilessly. Jen watches as the defenders fall one by one, but a small troop of Leprechauns - bloodied and exhausted - manage to flee into the nearby forest with their injured companions."
    nvl clear
    nvl_narrator "Jen tries to follow her gaze, but the scene begins to change. The fighters fade, and a dark, menacing shadow settles over the field. Red lightning suddenly shoots out of the darkness and strikes the poachers with brutal precision. They scream as flames engulf their bodies, and dark, distorted figures appear amidst the chaos."
    nvl clear
    Jen "Demons..."
    nvl_narrator "The creatures move like predators, their eyes glowing red. Their voices are deep and filled with a cold, malicious joy. Jen hears their words, clear and menacing."
    nvl clear
    nvl_narrator "Jen feels an icy chill running through her limbs. The demons are preparing a trap - not just for her and Lis, but for everyone who enters this place. The image begins to flicker and blur as the spell ends."
    nvl clear
    show jen normal at leftish with dissolve
    show lis normal at rightish with dissolve
    Lis "Jen! What did you see? Everything all right?"
    Jen "It's worse than I thought. The Leprechauns have fled into the forest, but... demons have taken over this place. They're waiting for us, Lis. It's a trap."
    hide lis normal
    show lis suprised at rightish
    Lis "Demons?! But why? What do they want from us?"
    Jen "Abaddon. You work for him. We have to be careful, Lis. We're not just helpers here anymore... we're the hunted."
    Lis "Oh no... those are the ones who were waiting for me when that fat, ugly demon attacked me! But I thought I had killed him?"
    Jen "No, Lis. You can never really kill a demon's minions. As long as a demon exists, it can recreate everything it creates over and over again. That is the curse of their power."
    Lis "That... I didn't know that. But you said back then that he was finished, didn't you?"
    Jen "He was defeated for the moment, yes. But that wasn't enough. After you told me about this incident, I read up on Abaddon - on him and his intentions."
    Lis "So, what did you find out?"
    Jen "Abaddon is a master of duplication. His minions... they are like clones. Copies of himself, but each copy carries only a fraction of his power."
    Lis "Does that mean they are weak?"
    Jen "Individually? Yes, they are. But in groups... that's where they join forces. Together they can be as strong as Abaddon himself."
    Lis "That sounds... not good. What do we do now? We're in danger here, aren't we?"
    Jen "Yes, Lis, that's us. But don't worry. Maybe we shouldn't have come here, but now that we're here, we have to finish the job. And we'll do it - together. We're stronger than you think."
    Lis "Okay... if you say so."
    nvl clear
    nvl_narrator "An eerie, eerie chorus of voices resounds, cold and synchronized. \nQuae in cavea magicae maleficis relegat!....\nA magical cage, barely visible to the naked eye, appears around them. Jen and Lis are trapped."
    nvl clear
    hide lis normal with dissolve
    hide jen normal with dissolve
    show abbadon_closed with dissolve
    show abbadon_normal at right with dissolve
    show abbadon_revert at left with dissolve
    Abbadon_Clone1 "Now we have you, witches!"
    Abbadon_Clone2 "Ah, there you are again, little witch! Did you really think you could just take me out like that?"
    Abbadon_Clone3 "At last !"
    Abbadon_Clone1 "Concentrate so that the magic lasts!"
    Abbadon_Clone3 "Then stop talking at me, you fool!"
    hide abbadon_closed with dissolve
    hide abbadon_normal with dissolve
    hide abbadon_revert with dissolve
    show jen normal at leftish with dissolve
    show lis suprised at rightish with dissolve
    Lis "Jen... we're trapped! What do we do now?"
    Jen "It's a cage that absorbs our magic. I'm trying something."
    Jen "Ignis Inferna!"
    nvl_narrator "A fireball shoots out of Jen's hand, but it is absorbed by the force that forms the cage."
    nvl clear
    Jen "Damn! This cage is stronger than I thought."
    Lis "Jen, what are we doing now? Viv doesn't even know we're here!"
    Jen "Lis, we need to keep a clear head. Panicking won't help us. There is always a way out, but we have to find it."
    Abbadon_Clone2 "You can try, witch. But no one will save you this time. Abaddon is already looking forward to tearing you to pieces."
    Jen "Listen to me, Lis. They want to provoke us, distract us. You have to stay calm. Watch the cage - something must be stabilizing it. Maybe we can use that."
    Lis "Okay... I'll try. But Jen... I'm scared."
    Jen "I know, Lis. But we can do it. Together. I've been in worse situations and I've always come out of it. We will too."
    hide lis normal with dissolve
    hide jen normal with dissolve
    show abbadon_closed with dissolve
    show abbadon_normal at right with dissolve
    show abbadon_revert at left with dissolve
    Abbadon_Clone1 "Your magic will do you no good here, witch. As long as one of us holds the spell, you have no chance of escaping."
    Jen "What do you want from us?"
    Abbadon_Clone1 "You. You are an important part of Abaddon's great plan. Our master has waited a long time for this moment."
    Abbadon_Clone3 "Why not have a bit of fun with them before we hand them over to Abaddon?"
    Abbadon_Clone2 "Shut up, you idiot! We won't let them out. These witches are dangerous. All our power is in the cage spell, and if we're not careful, they could destroy us."
    hide abbadon_closed with dissolve
    hide abbadon_normal with dissolve
    hide abbadon_revert with dissolve
    show jen normal at leftish with dissolve
    show lis normal at rightish with dissolve
    Lis "Jen... what do we do now? No one will come to help us. We're on our own."
    Jen "Yes, Lis, you're right. But... I think I have an idea."
    Lis "Then go for it, Jen. Because I don't have any."
    Jen "The spell is maintained by this one demon there. The others channel their power through it so that it can keep the cage stable. This means that if we disturb its concentration, the spell breaks down."
    Lis "Okay... and how exactly should we do that?"
    Jen "We distract him. If he is distracted for even a moment, his connection will break and the cage will collapse. They will then be so weakened that even you can defeat them with a simple spell."
    Lis "But how are you going to distract him? What is your plan?"
    Jen "Let me worry about that."
    Lis "Okay... I trust you. Go on, do it. I'm ready."
    Jen "Hey, you idiots! What kind of game of fools are you running? Abaddon would laugh at you if he could see you running around here!"
    hide lis normal with dissolve
    hide jen normal with dissolve
    show jen normal at right with dissolve
    show abbadon_revert at left with dissolve
    Abbadon_Clone1 "What did you say, witch?"
    Jen "Don't you have better things to do than shout at each other? No wonder Abaddon never sends you on the really important missions."
    Abbadon_Clone1 "You can't distract us like that, stupid witch. We've got you figured out."
    Jen "But so you fool. Wait for my sign Lis then concentrate on my aura so that I can make a spell with your power as a help."
    window hide
    hide jen normal with dissolve
    hide abbadon_revert with dissolve
    show jen_show_tits with dissolve
    pause
    Abbadon_Clone1 "You don't think that would affect us, you fool."
    Abbadon_Clone2 "How naive. Hahaha"
    Jen "Well then, something else will have to do. Come here, my big one."
    Abbadon_Clone1 "Well, you're powerless with the shield anyway."
    Jen "I have other hidden talents."
    Abbadon_Clone1 "Oh... What the..."
    window hide
    hide jen_show_tits with dissolve
    show jen_tjob_abbadon_1 with dissolve 
    pause
    Abbadon_Clone1 "Omg that's more than just good."
    Jen "I hope you like my big one. I really didn't think it would be that big. It's perfect."
    Jen "It fits perfectly between my tits. So big and so pulsating."
    Abbadon_Clone1 "OHhhh I'll be right there. I will cum!"
    Jen "Give me my reward!"
    window hide
    hide jen_tjob_abbadon_1 with dissolve
    show jen_tjob_abbadon_2 with dissolve 
    pause
    Abbadon_Clone1 "Shit, I'm cum!."
    Jen "Oops. Something in my hair. It's sacred to me. God that burns my eye. Where did you learn to aim?"
    Abbadon_Clone1 "Hehehe..."
    Abbadon_Clone2 "I want to now too."
    Abbadon_Clone3 "No, I'll get to it sooner now. I had to concentrate the whole time."
    Lis "Oh man, Jen. If Tom finds out, he'll probably never send us out alone again."
    Jen "He won't find out, Lis. Some things are better kept to yourself. And now, away with you vermin."
    nvl_narrator "Jen unleashes the flame spell and the weakened demons disappear in a final scream. A spark of demonic energy fizzles out in the air and an oppressive silence returns."
    nvl clear
    hide jen_tjob_abbadon_2 with dissolve 
    show jen red at leftish with dissolve
    show lis normal at rightish with dissolve
    Lis "Jen... Before we go... Was there really no other option?"
    Jen "You mean to distract them? No, Lis. Sometimes magic doesn't get you anywhere. And then you have to use the means at your disposal - even the ones you don't like."
    Lis "The means... of a woman?"
    Jen "If you know how to use your strengths, you can turn any situation in your favor. Sometimes these are spells, sometimes... other talents. It's not an easy path, but it works. Now come on, we should get going. Tom must be waiting."
    hide lis normal with dissolve
    hide jen normal with dissolve
    nvl_narrator "The two witches return through the forest to the place where Tom had left them."
    nvl clear
    hide bg battlefield_forest
    show bg forest
    show tom normal with dissolve
    Tom "Finally. I thought I was going to have to look for you. The Leprachauns are safe. They managed to retreat into the forest without you. So... what took you so long?"
    show jen normal at left with dissolve
    show lis normal at right with dissolve
    Jen "Demons. They have set a trap for us."
    Tom "A trap? Demons? By whom?"
    Jen "Abaddon. I told you about him, didn't I? He seems to have it in for us."
    Lis "Our bodies in any case."
    hide jen normal
    show jen red at left
    Tom "What do you mean by that?"
    Jen "Ignore her, Tom. She's exhausted. We've had a busy day."
    Tom "If Abaddon is really after you, we have to be prepared."
    Lis "Maybe we should let Ari know? Have you already told Tom about the mysterious demon in our house?"
    Jen "Nein, aber Es wird Zeit, dass er Bescheid weiß."
    Tom "Who is Ari?"
    Jen "The demon I told you about - the one who spared me. Her name is Ari, and she's... different. She wants to help us."
    Tom "A demon who wants to help? Jen, that doesn't sound very trustworthy."
    Jen "I know, Tom. But she had every opportunity to take us out and she didn't. Instead, she saved us. I don't trust her blindly, but I think she could be an ally."
    Tom "I hope you know what you're doing. We can't afford to let a demon into our ranks who might betray us at some point."
    Lis "We are careful, Tom. But sometimes help and allies come from the most unexpected places."
    Tom "You're young, Lis. Inexperienced - and naive, to be honest. Take care of yourselves. Demons don't do things by halves."
    Jen "Don't worry, Tom. Ari will help us get rid of this demon once and for all. Abaddon has been getting on our nerves long enough."
    Tom "Good, but be careful. I have a bad feeling about this."
    Jen "Sure, Tom. Now come on, we should get home. Viv must be waiting and worried."
    hide jen normal with dissolve
    hide lis normal with dissolve
    hide tom normal with dissolve
    return